Index: src/main/java/com/example/rezevirajmasa/demo/bootstrap/DataInitialization.java
===================================================================
--- src/main/java/com/example/rezevirajmasa/demo/bootstrap/DataInitialization.java	(revision d24f17cb212e43f94a77a44d655ba10b4b8143d2)
+++ src/main/java/com/example/rezevirajmasa/demo/bootstrap/DataInitialization.java	(revision d24f17cb212e43f94a77a44d655ba10b4b8143d2)
@@ -0,0 +1,108 @@
+//package com.example.rezevirajmasa.demo.bootstrap;
+//
+//import com.example.rezevirajmasa.demo.model.Reservation;
+//import com.example.rezevirajmasa.demo.model.Restaurant;
+//import com.example.rezevirajmasa.demo.model.TableEntity;
+//import com.example.rezevirajmasa.demo.service.ReservationService;
+//import com.example.rezevirajmasa.demo.service.RestaurantService;
+//import com.example.rezevirajmasa.demo.service.TableService;
+//import jakarta.annotation.PostConstruct;
+//import org.springframework.beans.factory.annotation.Autowired;
+//import org.springframework.boot.ApplicationArguments;
+//import org.springframework.stereotype.Component;
+//
+//import java.time.LocalDate;
+//import java.time.LocalDateTime;
+//import java.time.LocalTime;
+//import java.time.format.DateTimeFormatter;
+//import java.util.ArrayList;
+//import java.util.List;
+//
+//@Component
+//public class DataInitialization {
+//    private final RestaurantService restaurantService;
+//    private final TableService tableService;
+//    private final ReservationService reservationService;
+//
+//    public DataInitialization(RestaurantService restaurantService, TableService tableService, ReservationService reservationService) {
+//        this.restaurantService = restaurantService;
+//        this.tableService = tableService;
+//        this.reservationService = reservationService;
+//    }
+//
+////    @PostConstruct
+//    public void initData() {
+//        for(Restaurant restaurant : restaurantService.listall()) {
+//            extendTimeSlotsIndefinitely(restaurant);
+//        }
+//    }
+//
+//    private void extendTimeSlotsIndefinitely(Restaurant restaurant) {
+//        while (true) {
+//            String[] hours = restaurant.getOperatingHours().split("-");
+//            LocalTime startTime = LocalTime.parse(hours[0], DateTimeFormatter.ofPattern("HH:mm"));
+//            LocalTime endTime = LocalTime.parse(hours[1], DateTimeFormatter.ofPattern("HH:mm"));
+//
+//            // Get the current date and time
+//            LocalDateTime currentDateTime = LocalDateTime.now().with(startTime);
+//
+//            // Calculate the end date (current date + 3 days)
+//            LocalDateTime endDate = LocalDateTime.now().with(endTime).plusDays(3);
+//
+//            List<TableEntity> tables = restaurant.getTablesList();
+//            for (TableEntity table : tables) {
+//                List<LocalDateTime> existingTimeSlots = table.getTimeSlots();
+//                List<Reservation> existingReservations = reservationService.findReservationsByTableAndDateRange(table, currentDateTime, endDate);
+//                List<LocalDateTime> newTimeSlots = generateTimeSlots(currentDateTime, endDate, existingReservations, existingTimeSlots, startTime, endTime);
+//                existingTimeSlots.addAll(newTimeSlots);
+//                tableService.saveTable(table);
+//            }
+//
+//            // Sleep for a period before generating time slots again
+//            try {
+//                // Sleep for 24 hours
+//                Thread.sleep(24 * 60 * 60 * 1000);
+//            } catch (InterruptedException e) {
+//                // Handle interrupted exception
+//                break;
+//            }
+//        }
+//    }
+//
+//    private List<LocalDateTime> generateTimeSlots(LocalDateTime startDate, LocalDateTime endDate, List<Reservation> existingReservations, List<LocalDateTime> existingTimeSlots, LocalTime startTime, LocalTime endTime) {
+//        List<LocalDateTime> timeSlots = new ArrayList<>();
+//        LocalDateTime currentDateTime = startDate;
+//        LocalTime currentTime = startTime;
+//        LocalDate currentDate = LocalDate.now(); // Get the current date
+//
+//        // Generate time slots until the end date
+//        while (currentDateTime.isBefore(endDate)) {
+//            // Ensure the current date is within the restaurant's opening hours
+//            if (currentDateTime.toLocalTime().isBefore(startTime)) {
+//                currentDateTime = currentDateTime.plusDays(1).with(startTime); // Move to the next day and set the start time
+//                continue; // Skip generating time slots for this day
+//            }
+//
+//            final LocalDateTime currentTimeSlotStart = currentDateTime; // Declare a final local variable
+//
+//            // Check if the current time slot overlaps with existing reservations
+//            boolean overlapsReservations = existingReservations.stream()
+//                    .anyMatch(reservation -> isOverlapping(currentTimeSlotStart, currentTimeSlotStart.plusMinutes(15), reservation.getCheckInTime(), reservation.getCheckOutTime()));
+//            boolean overlapsExistingTimeSlots = existingTimeSlots.stream()
+//                    .anyMatch(existingSlot -> isOverlapping(currentTimeSlotStart, currentTimeSlotStart.plusMinutes(15), existingSlot, existingSlot.plusMinutes(15)));
+//
+//            if (!overlapsReservations && !overlapsExistingTimeSlots) {
+//                timeSlots.add(currentDateTime);
+//            }
+//
+//            // Move to the next time slot (add 15 minutes
+//            currentDateTime = currentDateTime.plusMinutes(15);
+//        }
+//
+//        return timeSlots;
+//    }
+//
+//    private boolean isOverlapping(LocalDateTime start1, LocalDateTime end1, LocalDateTime start2, LocalDateTime end2) {
+//        return start1.isBefore(end2) && start2.isBefore(end1);
+//    }
+//}
Index: src/main/java/com/example/rezevirajmasa/demo/bootstrap/ReservationInitializer.java
===================================================================
--- src/main/java/com/example/rezevirajmasa/demo/bootstrap/ReservationInitializer.java	(revision d24f17cb212e43f94a77a44d655ba10b4b8143d2)
+++ src/main/java/com/example/rezevirajmasa/demo/bootstrap/ReservationInitializer.java	(revision d24f17cb212e43f94a77a44d655ba10b4b8143d2)
@@ -0,0 +1,48 @@
+package com.example.rezevirajmasa.demo.bootstrap;
+
+import com.example.rezevirajmasa.demo.model.Reservation;
+import com.example.rezevirajmasa.demo.model.Restaurant;
+import com.example.rezevirajmasa.demo.service.ReservationHistoryService;
+import com.example.rezevirajmasa.demo.service.ReservationService;
+import org.springframework.stereotype.Component;
+
+import jakarta.annotation.PostConstruct;
+import java.time.LocalDateTime;
+import java.util.List;
+import java.util.stream.Collectors;
+
+@Component
+public class ReservationInitializer {
+    private final ReservationHistoryService reservationHistoryService;
+    private final ReservationService reservationService;
+
+    public ReservationInitializer(ReservationHistoryService reservationHistoryService, ReservationService reservationService) {
+        this.reservationHistoryService = reservationHistoryService;
+        this.reservationService = reservationService;
+    }
+
+    @PostConstruct
+    public void initializePastReservations() {
+        LocalDateTime currentTime = LocalDateTime.now();
+        List<Reservation> reservationsToMove = reservationService.findReservationsToMove(currentTime);
+
+        List<Restaurant.ReservationHistory> reservationHistories = reservationsToMove.stream()
+                .map(reservation -> new Restaurant.ReservationHistory(
+                        reservation.getCustomer(),
+                        reservation.getTable(),
+                        reservation.getRestaurant(),
+                        reservation.getReservationDateTime(),
+                        reservation.getPartySize(),
+                        reservation.getSpecialRequests(),
+                        "Done",
+                        null, // You can set cancellation reason if needed, it's not clear from the code provided
+                        reservation.getCheckInTime() // Use currentTime for check-in date
+                ))
+                .collect(Collectors.toList());
+
+        reservationHistoryService.moveReservationsToPast(reservationHistories);
+
+        reservationsToMove.forEach(reservation -> reservationService.deleteReservation(reservation.getReservationID()));
+    }
+
+}
Index: src/main/java/com/example/rezevirajmasa/demo/bootstrap/TimeSlotManagementService.java
===================================================================
--- src/main/java/com/example/rezevirajmasa/demo/bootstrap/TimeSlotManagementService.java	(revision d24f17cb212e43f94a77a44d655ba10b4b8143d2)
+++ src/main/java/com/example/rezevirajmasa/demo/bootstrap/TimeSlotManagementService.java	(revision d24f17cb212e43f94a77a44d655ba10b4b8143d2)
@@ -0,0 +1,81 @@
+package com.example.rezevirajmasa.demo.bootstrap;
+
+import com.example.rezevirajmasa.demo.model.Reservation;
+import com.example.rezevirajmasa.demo.model.Restaurant;
+import com.example.rezevirajmasa.demo.model.TableEntity;
+import com.example.rezevirajmasa.demo.repository.ReservationRepository;
+import com.example.rezevirajmasa.demo.repository.TableRepository;
+import jakarta.annotation.PostConstruct;
+import jakarta.annotation.PreDestroy;
+import org.springframework.beans.factory.annotation.Autowired;
+import org.springframework.cglib.core.Local;
+import org.springframework.stereotype.Component;
+
+import java.time.LocalDate;
+import java.time.LocalDateTime;
+import java.time.LocalTime;
+import java.time.format.DateTimeFormatter;
+import java.util.ArrayList;
+import java.util.Collections;
+import java.util.List;
+import java.util.stream.Collectors;
+
+@Component
+public class TimeSlotManagementService  {
+    @Autowired
+    private TableRepository tableRepository;
+    @Autowired
+    private ReservationRepository reservationRepository;
+
+    @PostConstruct
+    public void initializeTimeSlots() {
+        LocalDate startDate = LocalDate.now();
+        initializeTimeSlotsForNextDays(startDate);
+    }
+
+    private void initializeTimeSlotsForNextDays(LocalDate startDate) {
+        LocalDate currentDate = startDate;
+        for (int i = 0; i < 3; i++) {
+            Iterable<TableEntity> tableEntities = tableRepository.findAll();
+            for (TableEntity tableEntity : tableEntities) {
+                initializeTimeSlotsForTable(tableEntity, currentDate);
+                tableRepository.save(tableEntity);
+            }
+            currentDate = currentDate.plusDays(1);
+        }
+    }
+
+    private void initializeTimeSlotsForTable(TableEntity tableEntity, LocalDate date) {
+        // Get existing time slots for the table
+        List<LocalDateTime> existingTimeSlots = tableEntity.getTimeSlots().stream()
+                .filter(slot -> slot.toLocalDate().isEqual(date)) // Filter time slots for the specified date
+                .toList();
+
+        // If existing time slots are not null and not empty, return without initializing new ones
+        if (!existingTimeSlots.isEmpty()) {
+            return;
+        }
+
+        Restaurant restaurant = tableEntity.getRestaurant();
+        String[] hours = restaurant.getOperatingHours().split("-");
+        LocalTime startTime = LocalTime.parse(hours[0], DateTimeFormatter.ofPattern("HH:mm"));
+        LocalTime endTime = LocalTime.parse(hours[1], DateTimeFormatter.ofPattern("HH:mm"));
+
+        List<LocalDateTime> reservationCheckIns = getReservationCheckInsAfterNow(date);
+
+        tableEntity.initializeTimeSlots(startTime, endTime, Collections.singletonList(date), reservationCheckIns);
+    }
+
+    private List<LocalDateTime> getReservationCheckInsAfterNow(LocalDate date) {
+        LocalDateTime currentTime = LocalDateTime.now();
+        List<Reservation> reservations = reservationRepository.findByCheckInTimeAfterAndCheckInTimeBefore(
+                LocalDateTime.of(date, LocalTime.MIN), LocalDateTime.of(date, LocalTime.MAX));
+        List<LocalDateTime> checkIns = new ArrayList<>();
+        for (Reservation reservation : reservations) {
+            if (reservation.getCheckInTime().isAfter(currentTime)) {
+                checkIns.add(reservation.getCheckInTime());
+            }
+        }
+        return checkIns;
+    }
+}
Index: src/main/java/com/example/rezevirajmasa/demo/config/SecurityConfig.java
===================================================================
--- src/main/java/com/example/rezevirajmasa/demo/config/SecurityConfig.java	(revision e48199adf103ea72701a91722bdbf8cfb9732731)
+++ src/main/java/com/example/rezevirajmasa/demo/config/SecurityConfig.java	(revision d24f17cb212e43f94a77a44d655ba10b4b8143d2)
@@ -1,11 +1,7 @@
 package com.example.rezevirajmasa.demo.config;
 
-import com.example.rezevirajmasa.demo.model.exceptions.CustomerAuthenticationEntryPoint;
-import com.example.rezevirajmasa.demo.web.filters.JwtAuthFilter;
 import org.springframework.context.annotation.Bean;
 import org.springframework.context.annotation.Configuration;
-import org.springframework.http.HttpMethod;
 import org.springframework.security.authentication.AuthenticationManager;
-import org.springframework.security.config.Customizer;
 import org.springframework.security.config.annotation.authentication.builders.AuthenticationManagerBuilder;
 import org.springframework.security.config.annotation.web.builders.HttpSecurity;
@@ -13,20 +9,11 @@
 import org.springframework.security.config.annotation.web.configuration.WebSecurityCustomizer;
 import org.springframework.security.config.annotation.web.configurers.AbstractHttpConfigurer;
-import org.springframework.security.config.http.SessionCreationPolicy;
 import org.springframework.security.core.userdetails.UserDetailsService;
 import org.springframework.security.web.SecurityFilterChain;
-import org.springframework.security.web.authentication.UsernamePasswordAuthenticationFilter;
-import org.springframework.security.web.authentication.www.BasicAuthenticationFilter;
 import org.springframework.security.web.util.matcher.AntPathRequestMatcher;
-import org.springframework.web.cors.CorsConfiguration;
+import org.springframework.context.annotation.Configuration;
 import org.springframework.web.servlet.config.annotation.CorsRegistry;
-import org.springframework.context.annotation.Bean;
-import org.springframework.context.annotation.Configuration;
-import org.springframework.security.config.annotation.web.builders.HttpSecurity;
-import org.springframework.security.config.annotation.web.configuration.EnableWebSecurity;
-import org.springframework.security.web.SecurityFilterChain;
 import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;
 
-import java.util.List;
 
 @Configuration
@@ -34,11 +21,7 @@
 public class SecurityConfig implements WebMvcConfigurer {
     private final UserDetailsService userDetailsService;
-    private final CustomerAuthenticationEntryPoint customerAuthenticationEntryPoint;
-    private final UserAuthProvider userAuthProvider;
 
-    public SecurityConfig(UserDetailsService userDetailsService, CustomerAuthenticationEntryPoint customerAuthenticationEntryPoint, UserAuthProvider userAuthProvider) {
+    public SecurityConfig(UserDetailsService userDetailsService) {
         this.userDetailsService = userDetailsService;
-        this.customerAuthenticationEntryPoint = customerAuthenticationEntryPoint;
-        this.userAuthProvider = userAuthProvider;
     }
 
@@ -51,20 +34,32 @@
     public void addCorsMappings(CorsRegistry registry) {
         registry.addMapping("/**")
-                .allowedOrigins("http://localhost:3000")
-                .allowedMethods("GET", "POST", "PUT", "DELETE")
-                .allowedHeaders("*")
-                .allowCredentials(true)
-                .maxAge(3600L);
+                .allowedOrigins("http://localhost:3000") // Allow requests from this origin
+                .allowedMethods("GET", "POST", "PUT", "DELETE") // Allow these HTTP methods
+                .allowedHeaders("*"); // Allow all headers
     }
 
     @Bean
-    public SecurityFilterChain securityFilterChain(HttpSecurity http) throws Exception {
+    public SecurityFilterChain securityFilterChain(HttpSecurity http) throws Exception  {
+
         http
                 .csrf(AbstractHttpConfigurer::disable)
-                .authorizeHttpRequests(auth -> auth
-                        .requestMatchers("/api/auth/**").permitAll()
-                        .requestMatchers("/api/user/**", "/api/cuisineTypes", "/api/restaurants").authenticated()
+                .authorizeHttpRequests( (requests) -> requests
+                        .requestMatchers(AntPathRequestMatcher.antMatcher("/"), AntPathRequestMatcher.antMatcher("/restaurants"))
+                        .permitAll()
+                        .anyRequest()
+                        .hasAnyRole("ADMIN", "USER")
                 )
-                .sessionManagement(sess -> sess.sessionCreationPolicy(SessionCreationPolicy.STATELESS));
+                .formLogin((form) -> form
+                        .permitAll()
+                        .failureUrl("/login?error=BadCredentials")
+                        .defaultSuccessUrl("/restaurants", true)
+                )
+                .logout((logout) -> logout
+                        .logoutUrl("/logout")
+                        .clearAuthentication(true)
+                        .invalidateHttpSession(true)
+                        .deleteCookies("JSESSIONID")
+                        .logoutSuccessUrl("/")
+                );
 
         return http.build();
@@ -79,50 +74,2 @@
     }
 }
-//
-//import com.example.rezevirajmasa.demo.web.filters.JwtAuthFilter;
-//import org.springframework.context.annotation.Bean;
-//import org.springframework.context.annotation.Configuration;
-//import org.springframework.security.authentication.AuthenticationManager;
-//import org.springframework.security.config.annotation.authentication.builders.AuthenticationManagerBuilder;
-//import org.springframework.security.config.annotation.web.builders.HttpSecurity;
-//import org.springframework.security.config.annotation.web.configuration.EnableWebSecurity;
-//import org.springframework.security.config.annotation.web.configurers.AbstractHttpConfigurer;
-//import org.springframework.security.config.http.SessionCreationPolicy;
-//import org.springframework.security.core.userdetails.UserDetailsService;
-//import org.springframework.security.web.SecurityFilterChain;
-//import org.springframework.security.web.authentication.UsernamePasswordAuthenticationFilter;
-//
-//@Configuration
-//@EnableWebSecurity
-//public class SecurityConfig {
-//
-//    private final UserDetailsService userDetailsService;
-////    private final UserAuthProvider userAuthProvider;
-//    private final JwtAuthFilter jwtAuthFilter;
-//
-//    public SecurityConfig(UserDetailsService userDetailsService) {
-//        this.userDetailsService = userDetailsService;
-////        this.userAuthProvider = userAuthProvider;
-//        this.jwtAuthFilter = new JwtAuthFilter(userAuthProvider);
-//    }
-//
-//    @Bean
-//    public SecurityFilterChain securityFilterChain(HttpSecurity http) throws Exception {
-//        http
-//                .csrf(AbstractHttpConfigurer::disable)
-//                .sessionManagement(sess -> sess.sessionCreationPolicy(SessionCreationPolicy.STATELESS))
-//                .authorizeHttpRequests((requests) -> requests
-//                        .requestMatchers("/api/login", "/api/register").permitAll()
-//                        .anyRequest().authenticated())
-//                .addFilterBefore(jwtAuthFilter, UsernamePasswordAuthenticationFilter.class);
-//
-//        return http.build();
-//    }
-//
-//    @Bean
-//    public AuthenticationManager authenticationManager(HttpSecurity http) throws Exception {
-//        AuthenticationManagerBuilder authenticationManagerBuilder = http.getSharedObject(AuthenticationManagerBuilder.class);
-//        authenticationManagerBuilder.userDetailsService(userDetailsService);
-//        return authenticationManagerBuilder.build();
-//    }
-//}
Index: src/main/java/com/example/rezevirajmasa/demo/dto/CustomerDTO.java
===================================================================
--- src/main/java/com/example/rezevirajmasa/demo/dto/CustomerDTO.java	(revision e48199adf103ea72701a91722bdbf8cfb9732731)
+++ src/main/java/com/example/rezevirajmasa/demo/dto/CustomerDTO.java	(revision d24f17cb212e43f94a77a44d655ba10b4b8143d2)
@@ -2,22 +2,12 @@
 
 import com.example.rezevirajmasa.demo.model.MembershipLevel;
-import com.example.rezevirajmasa.demo.model.Role;
-import lombok.Getter;
-import lombok.Setter;
 
-import java.sql.Date;
-import java.sql.Timestamp;
-
-@Setter
-@Getter
 public class CustomerDTO {
-    private Long customerId;
     private String firstName;
     private String lastName;
     private String email;
+    private String password;
     private String phone;
     private String address;
     private MembershipLevel membershipLevel;
-//    private Date registrationDate;
-    private Role role;
 }
Index: src/main/java/com/example/rezevirajmasa/demo/model/Customer.java
===================================================================
--- src/main/java/com/example/rezevirajmasa/demo/model/Customer.java	(revision d24f17cb212e43f94a77a44d655ba10b4b8143d2)
+++ src/main/java/com/example/rezevirajmasa/demo/model/Customer.java	(revision d24f17cb212e43f94a77a44d655ba10b4b8143d2)
@@ -0,0 +1,155 @@
+package com.example.rezevirajmasa.demo.model;
+
+import jakarta.persistence.*;
+
+import java.util.Date;
+
+@Entity
+@Table(name = "customers")
+public class Customer {
+
+    @Id
+    @GeneratedValue(strategy = GenerationType.IDENTITY)
+    @Column(name = "CustomerID")
+    private Long customerId;
+
+    @Column(name = "FirstName", length = 50)
+    private String firstName;
+
+    @Column(name = "LastName", length = 50)
+    private String lastName;
+
+    @Column(name = "Email", length = 100, unique = true)
+    private String email;
+
+    @Column(name = "Password", length = 100)
+    private String password;
+
+    @Enumerated(EnumType.STRING)
+    private Role role;
+
+    @Column(name = "Phone", length = 20)
+    private String phone;
+
+    @Column(name = "Address", columnDefinition = "TEXT")
+    private String address;
+
+    @Enumerated(EnumType.STRING)
+    @Column(name = "MembershipLevel", length = 20)
+    private MembershipLevel membershipLevel;
+
+    @Column(name = "RegistrationDate", columnDefinition = "TIMESTAMP DEFAULT CURRENT_TIMESTAMP")
+    @Temporal(TemporalType.TIMESTAMP)
+    private Date registrationDate;
+
+    public Customer(Long customerId, String firstName, String lastName, String email, String phone, String address, MembershipLevel membershipLevel, Date registrationDate, Role role) {
+        this.setCustomerId(customerId);
+        this.setFirstName(firstName);
+        this.setLastName(lastName);
+        this.setEmail(email);
+        this.setPhone(phone);
+        this.setAddress(address);
+        this.setMembershipLevel(membershipLevel);
+        this.setRegistrationDate(registrationDate);
+        this.setRole(Role.ROLE_USER);
+    }
+
+    public Customer() {
+
+    }
+
+    public Role getRole() {
+        return role;
+    }
+
+    public void setRole(Role role) {
+        this.role = role;
+    }
+
+    public String getFullName() {
+        return firstName + " " + lastName;
+    }
+    public Long getCustomerId() {
+        return customerId;
+    }
+
+    public void setCustomerId(Long customerId) {
+        this.customerId = customerId;
+    }
+
+    public String getFirstName() {
+        return firstName;
+    }
+
+    public void setFirstName(String firstName) {
+        this.firstName = firstName;
+    }
+
+    public String getLastName() {
+        return lastName;
+    }
+
+    public void setLastName(String lastName) {
+        this.lastName = lastName;
+    }
+
+    public String getEmail() {
+        return email;
+    }
+
+    public void setEmail(String email) {
+        this.email = email;
+    }
+
+    public String getPassword() {
+        return password;
+    }
+
+    public void setPassword(String password) {
+        this.password = password;
+    }
+
+    public String getPhone() {
+        return phone;
+    }
+
+    public void setPhone(String phone) {
+        this.phone = phone;
+    }
+
+    public String getAddress() {
+        return address;
+    }
+
+    public void setAddress(String address) {
+        this.address = address;
+    }
+
+    public Date getRegistrationDate() {
+        return registrationDate;
+    }
+    public MembershipLevel getMembershipLevel() {
+        return membershipLevel;
+    }
+
+    public void setMembershipLevel(MembershipLevel membershipLevel) {
+        this.membershipLevel = membershipLevel;
+    }
+    public void setRegistrationDate(Date registrationDate) {
+        this.registrationDate = registrationDate;
+    }
+
+    @Override
+    public String toString() {
+        return "Customer{" +
+                "customerId=" + customerId +
+                ", firstName='" + firstName + '\'' +
+                ", lastName='" + lastName + '\'' +
+                ", email='" + email + '\'' +
+                ", phone='" + phone + '\'' +
+                ", address='" + address + '\'' +
+                ", membershipLevel=" + membershipLevel +
+                ", registrationDate=" + registrationDate +
+                '}';
+    }
+}
Index: src/main/java/com/example/rezevirajmasa/demo/model/Menu.java
===================================================================
--- src/main/java/com/example/rezevirajmasa/demo/model/Menu.java	(revision e48199adf103ea72701a91722bdbf8cfb9732731)
+++ src/main/java/com/example/rezevirajmasa/demo/model/Menu.java	(revision d24f17cb212e43f94a77a44d655ba10b4b8143d2)
@@ -1,55 +1,45 @@
 package com.example.rezevirajmasa.demo.model;
 
-import com.fasterxml.jackson.annotation.JsonIgnore;
 import jakarta.persistence.*;
-import lombok.Data;
 
 import java.math.BigDecimal;
-import java.util.ArrayList;
-import java.util.List;
 
 @Entity
 @Table(name = "menus")
-@Data
 public class Menu {
     @Id
     @GeneratedValue(strategy = GenerationType.IDENTITY)
-    @Column(name = "menu_id")
+    @Column(name = "MenuID")
     private Long menuID;
 
     @ManyToOne
-    @JoinColumn(name = "restaurant_id", nullable = false)
-    @JsonIgnore
+    @JoinColumn(name = "RestaurantID", nullable = false)
     private Restaurant restaurant;
 
-    @Column(name = "item_name", length = 100)
+    @Column(name = "ItemName", length = 100)
     private String itemName;
 
-    @Column(name = "menuCategory", length = 50)
-    private String menuCategory;
+    @Column(name = "Category", length = 50)
+    private String category;
 
-    @Column(name = "price", precision = 8, scale = 2)
+    @Column(name = "Price", precision = 8, scale = 2)
     private BigDecimal price;
 
-    @Column(name = "description")
+    @Column(name = "Description")
     private String description;
 
-    @OneToMany(mappedBy = "menu", cascade = CascadeType.ALL, orphanRemoval = true, fetch = FetchType.LAZY)
-    private List<MenuTag> tags = new ArrayList<>();
-
-    @OneToMany(mappedBy = "menu", cascade = CascadeType.ALL, orphanRemoval = true, fetch = FetchType.LAZY)
-    private List<PriceHistory> priceHistoryList = new ArrayList<>();
+    @Column(name = "DietaryInformation", columnDefinition = "JSONB")
+    private String dietaryInformation;
 
     public Menu() {
     }
 
-    public Menu(Long menuID, Restaurant restaurant, String itemName, String category, BigDecimal price, String description, List<MenuTag> tags) {
-        this.menuID = menuID;
+    public Menu(Restaurant restaurant, String itemName, String category, BigDecimal price, String description, String dietaryInformation) {
         this.restaurant = restaurant;
         this.itemName = itemName;
-        this.menuCategory = category;
+        this.category = category;
         this.price = price;
         this.description = description;
-        this.tags = tags;
+        this.dietaryInformation = dietaryInformation;
     }
 }
